<?php
/**
 * Copyright (C) 2021-2021 thirty bees
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@thirtybees.com so we can send you a copy immediately.
 *
 * @author    thirty bees <contact@thirtybees.com>
 * @copyright 2021-2021 thirty bees
 * @license   Open Software License (OSL 3.0)
 */

namespace Thirtybees\Core\WorkQueue;

use Adapter_Exception;
use ErrorHandler;
use Exception;
use ObjectModel;
use PrestaShopDatabaseException;
use PrestaShopException;

/**
 * Class WorkQueueTaskCallable
 *
 * @since 1.3.0
 */
interface WorkQueueTaskCallable
{
    /**
     * @param WorkQueueContext $context
     * @param array $parameters
     *
     * @throws Exception
     * @return mixed
     */
    public function execute(WorkQueueContext $context, array $parameters);
}
